module Entry1st
    ( HCron, Entry(Entry, when, command)
    , Time(Time, year, month, day, hour, minute)
    , specLocation
    , module System.Time
    )
where

import System.Time

type HCron = [Entry Time]

data Entry t = Entry { when    :: t
                     , command :: String } deriving (Show, Read, Eq, Ord)

data Time = Time { year   :: Int
                 , month  :: System.Time.Month
                 , day    :: Int
                 , hour   :: Int
                 , minute :: Int } deriving (Show, Read, Eq, Ord)

specLocation :: String
specLocation = "hcron.spec"
