{-|

A proxy-like module for the implementation of the AutoForm class for
the console (text-only).

However, the console interface is very rudimentary and were just
implemented to verify that the library, was general enough to support
other user interfaces.

This module is located under Graphics.UI.AF.CForm, even though it has
nothing to do with Graphics. It was placed here for convenience. It
should be replaced if CForm is ever to become practically usefull.

-}
module Graphics.UI.AF.CForm.CForm
    ( module Graphics.UI.AF.General.MySYB
    , module Maybe
    , module Graphics.UI.AF.General.CustomTypes
    , consoleParentProxy, GCForm
    )
where

import Graphics.UI.AF.CForm.CFormImplementation
-- import Graphics.UI.AF.WX.WxList
-- import Graphics.UI.AF.WX.WxFilePath

import Graphics.UI.AF.General.CustomTypes
import Graphics.UI.AF.General.MySYB
import Maybe


