
module WxMultilinePerformanceTest where

-- ghc --make WxMultilinePerformanceTest.hs -main-is WxMultilinePerformanceTest

import Graphics.UI.WX

main = start $
       do f <- frame [ text := "MyWindow" ]
          tc <- textCtrl f [ processEnter := True 
                           , wrap := WrapNone
                           ]
          timer f  [ interval := 150
                   , on command := appendText tc $ show [1..10]
                   ]
          set f [ layout := fill $ widget tc ]
          